org.apache.lucene.codecs.uniformsplit.sharedterms

## Class STBlockLine

- java.lang.Object
- - org.apache.lucene.codecs.uniformsplit.BlockLine
  - - org.apache.lucene.codecs.uniformsplit.sharedterms.STBlockLine

- All Implemented Interfaces:
    Accountable

      public class STBlockLine
      extends BlockLine

  Represents a term and its details stored in the `BlockTermState`. It is an extension of `BlockLine` for the Shared Terms format. This means the line contains a term and all its fields `TermState`s.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `STBlockLine.Serializer` Reads block lines encoded incrementally, with all fields corresponding to the term of the line.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<FieldMetadataTermState>` | `termStates` List of the fields ond their TermStates for this block line.

    - ### Fields inherited from class org.apache.lucene.codecs.uniformsplit.BlockLine

      `termBytes, termState, termStateRelativeOffset`

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STBlockLine(TermBytes termBytes, List<FieldMetadataTermState> termStates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectFields(Collection<FieldMetadata> collector)` Collects the `FieldMetadata` of all fields listed in this line.

    - ### Methods inherited from class org.apache.lucene.codecs.uniformsplit.BlockLine

      `getTermBytes, getTermStateRelativeOffset, ramBytesUsed, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Field Detail

    - #### termStates

          protected final List<FieldMetadataTermState> termStates

      List of the fields ond their TermStates for this block line. Only used for writing.

  - ### Constructor Detail

    - #### STBlockLine

          public STBlockLine(TermBytes termBytes,
                             List<FieldMetadataTermState> termStates)

  - ### Method Detail

    - #### collectFields

          public void collectFields(Collection<FieldMetadata> collector)

      Collects the `FieldMetadata` of all fields listed in this line.
      Parameters:
        `collector` - Receives the collected `FieldMetadata`.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.